//******************************************************************************
//
// File:    SurveyUIListener.java
// Package: edu.rit.survey
// Unit:    Interface edu.rit.survey.SurveyUIListener
//
// This Java source file is copyright (C) 2006 by Alan Kaminsky. All rights
// reserved. For further information, contact the author, Alan Kaminsky, at
// ark@cs.rit.edu.
//
// This Java source file is part of the M2MI Library ("The Library"). The
// Library is free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// The Library is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
// details.
//
// A copy of the GNU General Public License is provided in the file gpl.txt. You
// may also obtain a copy of the GNU General Public License on the World Wide
// Web at http://www.gnu.org/licenses/gpl.html or by writing to the Free
// Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//******************************************************************************

package edu.rit.survey;

/**
 * Interface SurveyUIListener specifies the interface for an object that
 * receives user inputs from a {@linkplain SurveyUI}.
 *
 * @author  Alan Kaminsky
 * @version 21-Mar-2006
 */
public interface SurveyUIListener
	{

// Exported operations.

	/**
	 * Report that the user wants to create a new survey.
	 */
	public void newSurvey();

	/**
	 * Report that the user selected the given survey.
	 *
	 * @param  i  Survey index.
	 */
	public void setSurvey
		(int i);

	/**
	 * Report that the user voted for the given answer.
	 *
	 * @param  i  Answer index (0-3).
	 */
	public void setVote
		(int i);

	}
